Subject: Re: bug#38248: help-follow-symbol silent when no symbol was found

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 21 Nov 2019 16:12:03 +0100

Juanma Barranquero <[email-masked]> writes:

> That's not just inconsistent, but a bit disconcerting, as sometimes
> following a symbol can be slow. In my build, it takes a second or more
> to show the symbol documentation, so when there's no symbol I stand
> waiting for something to happen for a couple of seconds.
>
> The following patch fixes that. The only reason against I can think of
> is when `help-follow-symbol' is called from elisp, because it will now
> signal an error.  However, at least in the Emacs sources
> help-follow-symbol is never called from elisp, just as a keybinding or
> menu entry.

Adding an error-out here I think should be OK.  I googled a bit and
couldn't see anything out-of-tree that uses that command as a function.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no